const express = require("express");
const router = express.Router();
const gruposUserController = require("../controllers/gruposUserController");

// Route for getting all gruposUser
router.get("/gruposFuncionarios", gruposUserController.getAllGruposUser);

// Route for getting a specific user by ID
router.get("/gruposFuncionarios/:id", gruposUserController.getGrupoUserById);

// Route for creating a new user
router.post("/gruposFuncionarios", gruposUserController.createGrupoUser);

// Route for updating a user by ID
router.put("/gruposFuncionarios/:id", gruposUserController.updateGrupoUser);

// Route for deleting a user by ID
router.delete("/gruposFuncionarios/:id", gruposUserController.deleteGrupoUser);

module.exports = router;
